%% plot for entire tissue
timepoint = 54;
shift = 0; 
%figure()

nz_u_mean = nanmean(final_u_mean);
std_nz_u_mean = nanstd(final_u_mean)./2;

color = 'r';
linestyle = '-';
marker = 'none'; %none
nz_order_ew_mean = nanmean(final_order_mean);
std_nz_order_ew_mean = nanstd(final_order_mean);

flip = 1;
conv = 1.308 * 6; % convert to um per hour;
fieldStartsAt = 5;

subplot(1, 2, 1)
plot((0 + shift:1:timepoint-1+ shift) .* 10,  nz_u_mean(1:timepoint).* flip .*conv,  'Color', color, 'LineStyle', linestyle, 'Marker', marker, 'Linewidth', 2)
shadedErrorBar((0+ shift:1:timepoint-1+ shift).* 10, nz_u_mean(1:timepoint).* flip.*conv, std_nz_u_mean(1:timepoint).* flip.*conv, 'lineprops', color)
ylabel('X-Velocity (um/ hour)' )
xline(fieldStartsAt * 10,'--k', 'HandleVisibility','off');
hold on

subplot(1, 2, 2)
plot((0+ shift:1:timepoint-1+ shift) .* 10,  nz_order_ew_mean(1:timepoint).* flip,  'Color', color, 'LineStyle', linestyle, 'Marker', marker, 'Linewidth', 2)
shadedErrorBar((0+ shift:1:timepoint-1+ shift).* 10, nz_order_ew_mean(1:timepoint).* flip, std_nz_order_ew_mean(1:timepoint).* flip, 'lineprops', color)
ylabel('EW Order' )
xline(fieldStartsAt * 10,'--k', 'HandleVisibility','off');
hold on

set(legend, 'FontSize',10)

%%
t_length = size(filtered_final_leading, 2);
frameRate = 10;
conv = 1.308 * 6; % convert to um per hour;
% don't use conv on final datasets because they already went through conv
final_mean_trailing = nanmean(filtered_final_trailing, 1);
std_trailing = nanstd(filtered_final_trailing, 1);
final_mean_leading = nanmean(filtered_final_leading, 1);
std_leading = nanstd(filtered_final_leading, 1);



% subplot(1, 2, 1);
% '-*r', '-or', '-+r', '-.r', '-^r'
plot((0:1:t_length - 1) .* frameRate, final_mean_leading, 'r', 'Linewidth', 2)
shadedErrorBar((0:1:t_length - 1) .* frameRate, final_mean_leading(1:t_length), std_leading(1:t_length), 'lineprops','r')
hold on
plot((0:1:t_length - 1) .* frameRate, final_mean_trailing, 'b', 'Linewidth', 2)
shadedErrorBar((0:1:t_length - 1) .* frameRate, final_mean_trailing(1:t_length), std_trailing(1:t_length), 'lineprops','b')
hold on
yline(0,':k', 'Linewidth', 1)
xline(50,'--k', 'Linewidth', 2)
