
%figure()
color = 'g';
linestyle = '-';
marker = 'none'; %none

time = 54;
shift = 0; 
flip = 1;
conv = 1.308 * 6; % convert to um per hour;
fieldStartsAt = 5;

folder  = strcat('D:\gawoon_workingFolder\inhibitor\110720_bleb');%
piv_files = {'upper1.mat', 'upper2.mat', 'middle.mat', 'lower2.mat', 'lower1.mat'}; 
%piv_files = {'square1_r.mat', 'square2_rot.mat'};
fieldStartsAt = 5; % enter slide number

final_u_mean = [];
final_v_mean = [];
final_angles = [];

final_order_mean = [];


conv = 1.308 * 6; % convert to um per hour;

for num = 1:1:length(piv_files)
 
    test    = piv_files{num};
    info    = fullfile(folder, test);    
    load(info);
    
    timepoint = time;
    
    [x_length, y_length] = size(u_filtered{1, 1}); 
    u = zeros(x_length, y_length, time);
    v = zeros(x_length, y_length, time);
    
    for i = 1:1:time
        u_cur = (u_filtered{i, 1} .* typevector_original{i, 1});
        v_cur = (v_filtered{i, 1} .* typevector_original{i, 1}); 
        order_cur = cos(atan2(v_cur, u_cur)) .* typevector_original{i, 1}; %otherwise the background = 1
        angle_cur = rad2deg(atan2(v_cur, u_cur)).* typevector_original{i, 1};
        angle_cur = angle_cur (:);
        selected_angles = datasample(angle_cur, 1000);

        u_mean(i) = mean2(nonzeros(u_cur));
        v_mean(i) = mean2(nonzeros(v_cur));
        angles(i) = mean2(nonzeros(angle_cur));
        order_mean(i) = mean2(nonzeros(order_cur));


    end  

    final_u_mean = [final_u_mean; u_mean];
    final_v_mean = [final_v_mean; v_mean];
    final_order_mean = [final_order_mean; order_mean];
    final_angles = [final_angles; selected_angles];

end 

final_speed_mean = sqrt(final_u_mean.^2 + final_v_mean.^2);

timepoint = time;
nz_u_mean = mean(final_u_mean);
std_nz_u_mean = std(final_u_mean);

nz_order_ew_mean = mean(final_order_mean);
std_nz_order_ew_mean = std(final_order_mean);

color = 'r';

subplot(1, 2, 1)
plot((0 + shift:1:timepoint-1+ shift) .* 10,  nz_u_mean(1:timepoint).* flip .*conv,  'Color', color, 'LineStyle', linestyle, 'Marker', marker, 'Linewidth', 2)
shadedErrorBar((0+ shift:1:timepoint-1+ shift).* 10, nz_u_mean(1:timepoint).* flip.*conv, std_nz_u_mean(1:timepoint).* flip.*conv, 'lineprops', color)
ylabel('X-Velocity (um/ hour)' )
xline(fieldStartsAt * 10,'--k', 'HandleVisibility','off');

hold on

subplot(1, 2, 2)
plot((0+ shift:1:timepoint-1+ shift) .* 10,  nz_order_ew_mean(1:timepoint).* flip,  'Color', color, 'LineStyle', linestyle, 'Marker', marker, 'Linewidth', 2)
shadedErrorBar((0+ shift:1:timepoint-1+ shift).* 10, nz_order_ew_mean(1:timepoint).* flip, std_nz_order_ew_mean(1:timepoint).* flip, 'lineprops', color)
ylabel('EW Order' )
xline(fieldStartsAt * 10,'--k', 'HandleVisibility','off');

hold on

set(legend, 'FontSize',10)
