%clear all;

%figure()
color = 'r';
linestyle = '-';
marker = 'none'; %none

time = 2;
shift = 0; 
flip = 1;

folder  = strcat('D:\gawoon_workingFolder\BAPTA_50um');%
%piv_files = {'upper1.mat', 'upper2.mat','middle.mat', 'lower2.mat', 'lower1.mat'}; 
piv_files = {'1.mat', '2.mat', '3.mat', '4.mat', '5.mat', '6.mat', '7.mat', '8.mat', '9.mat', '10.mat', '11.mat', '12.mat', '13.mat', '14.mat', '15.mat'}; 
%piv_files = {'3_new.mat'};
fieldStartsAt = 5; % enter slide number

final_col = [];
final_col_x = [];
final_col_y = [];

conv = 1.308 * 6; % convert to um per hour;

for num = 1:1:length(piv_files)
 
    test    = piv_files{num};
    info    = fullfile(folder, test);    
    load(info);
    
    time = 1;
    
    [x_length, y_length] = size(u_filtered{1, 1}); 
    u = zeros(x_length, y_length, time);
    v = zeros(x_length, y_length, time);
    
    for i = 1:1:6
        u_cur = (u_filtered{i, 1} .* typevector_filtered{i, 1});
        v_cur = (v_filtered{i, 1} .* typevector_filtered{i, 1}); 
        speed_cur = sqrt(u_cur.^2 + v_cur.^2);
        

        col_x = (u_cur./ speed_cur);
        col_y = (v_cur./ speed_cur);
        n =  sum(~isnan(col_x), 'all');
        col(i) = (1/n)* sqrt(nansum(nonzeros(col_x)).^2 + nansum(nonzeros(col_y).^2));
    end  
    
    final_col = [final_col; col];

end 



% plot((0 + shift:1:timepoint-1+ shift) .* 10,  mean_col(1:timepoint).* flip,  'Color', color, 'LineStyle', linestyle, 'Marker', marker, 'Linewidth', 2)
% shadedErrorBar((0+ shift:1:timepoint-1+ shift).* 10, mean_col(1:timepoint).* flip, std_col(1:timepoint).* flip, 'lineprops', color)
% ylabel('Col_x (um/ hour)' )
% 
% set(legend, 'FontSize',10)
% hold on
% 

%% for full dataset
color = 'r';
linestyle = '-';
marker = 'none'; %none

timepoint = 54;
shift = 0; 
flip = 1;

col = sqrt(final_col_x.^2 + final_col_y.^2);
mean_col = mean(col);
std_col = std(col);

plot((0 + shift:1:timepoint-1+ shift) .* 10,  mean_col(1:timepoint).* flip,  'Color', color, 'LineStyle', linestyle, 'Marker', marker, 'Linewidth', 2)
shadedErrorBar((0+ shift:1:timepoint-1+ shift).* 10, mean_col(1:timepoint).* flip, std_col(1:timepoint).* flip, 'lineprops', color)
ylabel('Col_x (um/ hour)' )

set(legend, 'FontSize',10)
hold on
