%% EthD-1 quantification

clear all
addpath('D:\gawoon_workingFolder\300um_2V\111919_KC_300um_3_bleb')
tif_files = {'upper1_ethd.tif', 'upper2_ethd.tif', 'middle_ethd.tif', 'lower2_ethd.tif', 'lower1_ethd.tif'};
% lower1 has artifact at lower edge, skewing the fluorescence
% upper 1 data isn't too clean

final_cdata = [];
final_binned_cdata = [];
final = [];
time = 122;

for i = 1:1:length(tif_files)
    
    cur_file = tif_files{i};
    
    for t = 1:20:time
        cdata(:, :, t) = im2double(imread(cur_file, t));
        binned_cdata(:, :, t) = imresize(cdata(:, :, t), 0.0625);
      
    end
    
    final_binned_cdata = [final_binned_cdata; binned_cdata];
    final = [final; smoothdata(mean(final_binned_cdata(:, :, t)))];

end

timeInterval = 1;
timeSteps = 7;
map = jet(timeSteps);

figure()
count = 1;
final = [];

for t = 1:20:time
    lineVal = smoothdata(mean(final_binned_cdata(:, :, t)));
    plot(lineVal./lineVal(1) , 'Color', map(count, :), 'Linewidth', 1.5, 'DisplayName', strcat('t = ', num2str(t - 1)))
    hold on
    count = count + 1;
    t
end
legend
xlabel('X position (um)')
ylabel('Normalized EthD-1 fluorescence')

%% read the junction data
addpath('D:\figures\videos')

for i = 1:1:10
    filename = strcat('300um_', num2str(i), '.csv');
    filename = 'test.csv';
    data_i = readtable(filename);
    data = table2array(data_i(:, 2));
    normalized_max(i) = (max(data) - min(data))/ min(data);
    plot(data)
end
    
for i = 1:1:5
    filename = strcat('hist_', num2str(i), '.csv');
    data_i = readtable(filename);
    data = table2array(data_i(:, 2));
    data = rmoutliers(data);
    mean_val(i) = mean(data);
end
%% average kymographs


final_cdata = [];

addpath('D:\gawoon_workingFolder\ctrl\062720_KC_ctrl\1000um_2')
tif_files_lead = {'lower1_leading.tif', 'lower2_leading.tif', 'middle_leading.tif', 'upper1_leading.tif', 'upper2_leading.tif'};
tif_files_trail = {'lower1_trailing.tif', 'lower2_trailing.tif', 'middle_trailing.tif', 'upper1_trailing.tif', 'upper2_trailing.tif'};

for i = 1:1:length(tif_files_lead)
    
    cur_file_lead = tif_files_lead{i};
    cdata_lead(:, :, i) = imread(cur_file_lead);
    cur_file_trail = tif_files_trail{i};
    cdata_trail(:, :, i) = imread(cur_file_trail);  
end
    

%% edit the convergence kymograph
addpath('D:\gawoon_workingFolder\convergent')
t = imread('withStim_medianFilt_kymo.tif');

imageData_filtered = imageData;
imageData_filtered(imageData_filtered < 4000) = 0;
image_scaled = imageData_filtered./ max(max(imageData));

for i = 1:1:size(image_scaled, 1)
    for j = 1:1:size(image_scaled, 2)
        if image_scaled(i, j) < 0.2 && image_scaled(i, j) ~= 0
            image_scaled(i, j) = image_scaled(i, j) + 0.2;
        end
    end
end
imageData_filtered = im2uint16(image_scaled);
imshow(imageData_filtered)
% 
% imwrite(imageData_filtered, 'my_graphics_file.tif');

